javax.persistence

## Interface EntityManagerFactory

    public interface EntityManagerFactory

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()`
`EntityManager` `createEntityManager()`
`EntityManager` `createEntityManager(Map map)`
`Cache` `getCache()`
`CriteriaBuilder` `getCriteriaBuilder()`
`Metamodel` `getMetamodel()`
`PersistenceUnitUtil` `getPersistenceUnitUtil()`
`Map<String,Object>` `getProperties()`
`boolean` `isOpen()`

### Method Detail

#### createEntityManager

    EntityManager createEntityManager()

#### createEntityManager

    EntityManager createEntityManager(Map map)

#### getCriteriaBuilder

    CriteriaBuilder getCriteriaBuilder()

#### getMetamodel

    Metamodel getMetamodel()

#### isOpen

    boolean isOpen()

#### close

    void close()

#### getProperties

    Map<String,Object> getProperties()

#### getCache

    Cache getCache()

#### getPersistenceUnitUtil

    PersistenceUnitUtil getPersistenceUnitUtil()